Subject: 28.0.50; gnu-elpa package better not to nag users repeatedly

From: Jean Louis <[email-masked]>
Date: Mon, 07 Dec 2020 01:56:54 +0300

> I think that gnu-elpa package that asks users to install some
> complimentary packages should not do that by default. Let users decide
> to activate such nagging or warn them.
>
> I said already no, then even in Org file it asks me to install
> sql-indent.  I do not need SQL indent and never needed it.  This gives
> you user experience for your further design of the package.  I just
> found it is this package asking me.

You're right, it should try and remember which packages the user has
already "rejected".

Could you make a bug report for it, so we don't forget?

        Stefan

In GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)
 of 2020-11-25 built on protected.rcdrun.com
Repository revision: 30c437752df0a3a9410f1249fa0f237110811af2
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11907000
System Description: Hyperbola GNU/Linux-libre

Configured using:
 'configure --prefix=/package/text/emacs --with-modules
 --with-x-toolkit=lucid'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS JSON
PDUMPER LCMS2

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Info

Minor modes in effect:
  hpath:find-file-urls-mode: t
  timeclock-mode-line-display: t
  show-paren-mode: t
  savehist-mode: t
  save-place-mode: t
  immortal-scratch-mode: t
  electric-pair-mode: t
  display-time-mode: t
  display-battery-mode: t
  helm-ff-cache-mode: t
  shell-dirtrack-mode: t
  async-bytecomp-package-mode: t
  persistent-scratch-autosave-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

-- 
Thanks,
Jean Louis
⎔ λ 🄯 𝍄 𝌡 𝌚